# Michael Uses

My software, hardware and gear - all in one place. Inspired by Wes Bos' [uses.tech](https://uses.tech/)

**Quick links:**

- [My uses repo](https://github.com/miclgael/uses)
- [My /uses web-page](https://www.michaelgale.dev/uses)
- [uses.tech](https://uses.tech/)

## [Setup stuff](#setup)

I maintain a [macOS setup cheat sheet](https://github.com/miclgael/setup/), [a similar one for Windows](https://github.com/miclgael/setup-win/), and [another for Linux](https://github.com/miclgael/setup-linux).

## [Editor + Terminal](#editor)

![iTerm2 icon](https://raw.githubusercontent.com/miclgael/uses/main/scribbles/uses-iterm.png)

- [VSCodium](https://vscodium.com/) is my current editor. I made the switch to Visual Studio Code from Atom in 2018, and made the conscious choice to swap to the version with telemetry removed. Before that I used Brackets, Coda and Sublime Text. I wrote my first lines of code with Notepad++ in 2005.
- Default Dark+ theme, default vs-seti icons.
- I use iTerm2 for my terminal. I change the font to Fira Code, and font-size to 14.
- On Linux I use the default PoP!_\OS terminal.
- I use Zsh as my shell, with the [Spaceship Prompt](https://github.com/spaceship-prompt/spaceship-prompt) theme.

## [Desktop Apps](#desktop-apps)

![Alfred App](https://raw.githubusercontent.com/miclgael/uses/main/scribbles/uses-alfred.png)

- I am a recent [Alfred](https://www.alfredapp.com/) convert, and paid for the powerpack.
- I use ~~iaWriter~~, ~~Notion~~, [Obsidian](https://obsidian.md/) for my todos, notes. [I wrote about Obsidian](https://www.michaelgale.dev/blog/how-i-use-obsidian) recently.
- I use [Carbon Copy Cloner](https://bombich.com/download) for backups and setups

## [Design Apps](#design-apps)

![Sketch App](https://raw.githubusercontent.com/miclgael/uses/main/scribbles/uses-sketch.png)

- Designs in [Sketch](https://www.sketch.com). However, I stopped buying updates when they switched to a subscription model. For that reason, I also have Figma. 
- I manage SVG icons with [Nucleo](https://nucleoapp.com/)
- I compress all my images with [ImageOptim](https://imageoptim.com/mac)
- I'm enjoying [ColorSlurp](https://colorslurp.com/) for managing colour palettes

## [Music Apps / Gear](#music-apps-gear)

![Ableton live icon](https://raw.githubusercontent.com/miclgael/uses/main/scribbles/uses-live10.png)

### [Software](#music-apps-gear--software)

- [Ableton Live 11](https://www.ableton.com/) is my DAW of choice these days. I used to rep Pro Tools 9 *hard* for editing and mixing. 
- [Sound Toys 5](http://soundtoys.com) sound design plugins
- [Loopback](https://rogueamoeba.com/loopback/) for more advanced audio routing
- [Vital](https://vital.audio/) Free VST Synth
- [RC-20 Retro Color](https://www.xlnaudio.com/products/addictive_fx/effect/rc-20_retro_color) Plug-in by XLN Audio

### [Gear](#music-apps-gear--gear)

- KORG VolcaBeats drum machine
- Elektron Model:Samples
- Arsenal of guitar effects pedals
- Yamaha HS50 monitors
- Vox MV50 Clean guitar amp
- Behringer Xenyx Q1202 USB mixer
- Shure SM58 XLR Microphone

## [Work Laptop](#work-laptop)
**Codename: "ingo"**

MacBook Pro (16-inch, 2021)

### [Specs](#work-laptop--specs)

- Apple M1 Pro
- 32 GB

All peripherals and display running through the **Belkin Thunderbolt 3 dock Pro**

## [My Gaming PC](#gaming-pc) 
**Codename: "mido"**

![Razor DeathAdder Elite mouse](https://raw.githubusercontent.com/miclgael/uses/main/scribbles/uses-mouse.png)

I built my own [custom-made PC](https://pcpartpicker.com/user/miclgael/saved/bhd8Mp) in 2012, and have been **slowly** upgrading it ever since. Running ~~Windows 10~~ ~~Windows 11~~ ~~Ubuntu~~ ~~PoP!\_OS~~ Windows 11

### [Specs](#gaming-pc--specs)

- AMD Ryzen 7 7700X 4.5-5.4GHz (8-core 16 threads)
- ASUS TUF Gaming X670E-Plus DDR5 Motherboard
- Corsair Vengeance RGB 32GB (2x16GB) 6000MHz DDR5 RAM
- Gigabyte Nvidia 2080 Super 8GB Gaming OC mk2 GPU
- be quiet! Dark Rock 4 CPU Cooler
- 1x Western Digital m.2 NVME (2TB) - Windows Boot Drive
- 1x Samsung 860 Evo SSD (4TB) - Games Library
- 1x Samsung 860 QVO SSD (1TB) - Still need to give this a task :) 
- be quiet! Straight Power 11 850 W 80+ Gold Certified Fully Modular ATX Power Supply
- NZXT H7 Flow case
- Samsung C32JG5x 144Hz 2560x1440 Display

### Previous build(s)

- ~~Intel Core i7-9700K 3.6GHz (8 cores/8 threads)~~
- ~~ASUS ROG STRIX Z390-F GAMING Motherboard~~
- ~~Corsair Vengeance 32GB DDR4 3000 Memory~~
- ~~1x Samsung 860 Evo SSD (250GB)~~
- ~~Corsair H100x Liquid CPU Cooler~~

## [NAS / Media Server](#nas) 
**Codename: "impa"**

Asustor AS6604T 

### [Specs](#nas--specs)
- Intel® Celeron™ CPU @ 2.00GHz
- 8.00 GB RAM
- Running [Portainer CE](https://docs.portainer.io/start/install-ce) and a whole suite of self-hosted web apps

### [Drives](#nas--drives)
- Cache: 2x 250GB m.2 SSD drives (Acting as cache for Drives 1 and 2)
- Volume 1: 2x 2TB WD Red drives (RAID 1 / EXT4 / M.2 Cache)
- Volume 2: 2x 4TB SeaGate IronWolf drives (RAID 1 / EXT4)

## [Other Hardware](#other)

- I use the **Razer DeathAdder Elite Chroma** gaming mouse
- Apple keyboard (with the finger print reader)
- 8bitdo Ultimate controller
- SteamDeck (the lowest tier, has a broken R1 button I've never bothered to fix)
- Raspberry Pi 3b 🍇

